Bug 1334642 - When Ipsilon fails with 500 ISE, it should dump the traceback no matter the Debug settings
Summary: When Ipsilon fails with 500 ISE, it should dump the traceback no matter the D...
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: ipsilon
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 08:30 UTC by Jan Pazdziora
Modified: 2018-12-07 12:43 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 18:31:02 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2016-05-10 08:30:28 UTC
Description of problem:

When Ipsilon happens to crash with 500 ISE, it should dump the traceback to Apache's error_log, even if debugging is not enabled by default.

Version-Release number of selected component (if applicable):

ipsilon-1.1.1-2.fc23.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. Make Ipsilon crash with Internal Server Error (for an example, see bug 1334637).
2. Try to figure out what happened.

Actual results:

You have to set debug and log.screen to True and restart Apache.

Expected results:

To see basic clues for outright errors like 500 ISE, debug set to True should not be needed. There should be at least something in the error_log by default, when Ipsilon crashes.

Additional info:

Comment 1 Patrick Uiterwijk 2016-05-10 09:39:50 UTC
This has been filed upstream as https://fedorahosted.org/ipsilon/ticket/222.
I think this will be fixed within the current release cycle.

Comment 2 Fedora End Of Life 2016-11-25 08:59:26 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jan Pazdziora 2016-11-25 13:47:53 UTC
Since https://fedorahosted.org/ipsilon/ticket/222 does not look addressed, I expect the issue to be still present.

Comment 4 Fedora End Of Life 2017-11-16 19:43:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Jan Pazdziora 2017-11-29 15:57:04 UTC
Since https://fedorahosted.org/ipsilon/ticket/222 does not look addressed, I expect the issue to be still present.

Comment 6 Ben Cotton 2018-11-27 17:59:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 18:31:02 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Jan Pazdziora 2018-12-07 12:43:17 UTC
Since https://fedorahosted.org/ipsilon/ticket/222 does not look addressed, I expect the issue to be still present.


Note You need to log in before you can comment on or make changes to this bug.